/* section footer */
    .newsletter{
        margin-bottom: -50px;    
    }

    footer{
        position: relative;
        padding: 32px;
        background-image: url(../images/pieces/banniere_web.jpg);
        margin-top: 55px;
        padding-top: 48px;
        border-top-left-radius: 64px;
        border-top-right-radius: 64px;
    }

    /* newsletter */
        .containerNewsletter{
            width: 70%;
            margin: 0 auto;
            padding: 5px;
            background: var(--white);
            border-radius: 48px;
            position: absolute;
            top: 0; left: 50%;
            transform: translate(-50%, -50%);
        }

        .boxNewsletter{
            position: relative;
            width: 100%;
            height: 100%;
            display: flex;
            gap: 16px;
        }

        .boxNewsletter input{
            width: 100%;
            border: none;
            color: var(--black);
            padding: 20px;
            border-top-left-radius: 48px;
            border-bottom-left-radius: 48px;
            flex-shrink: 1;
        }

        .boxNewsletter input:focus{
            outline: none;
            border: none;
        }

        .boxNewsletter .btn{
            border-radius: 48px;
            height: 58px;
            flex: 0 0 150px;
        }
    /* newsletter */

    /* menu footer */
        .middle_footer{
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px,1fr));
            gap: 32px;
            padding: 16px;    
        }

        .box_footer_logo{
            height: 65px; width: max-content;
        }

        .box_footer_logo img{
            width: 100%; height: 100%;
            object-fit: contain;
        }

        .description_footer{
            font-size: 15px;
        }

        .middle_footer .box h3 {
            text-transform: uppercase;
            font-size: 20px;
            font-weight: 700;
            padding-bottom: 5px;
            margin-bottom: 10px;
            border-bottom: 1px solid white;
            color: var(--white);
            display: flex;
            align-items: center;
        }

        .middle_footer .box h3 i {
            font-size: 22px;
            color: var(--white);
            transform: scaleX(-1);
        }

        .middle_footer .box p,
        .middle_footer .box .footerItem {
            display: block;
            color: var(--white);
            padding: 5px 0;
        }

        .middle_footer .box p i,
        .middle_footer .box .footerItem i {
            color: var(--third);
            font-size: 20px;
        }

        .middle_footer .box .footerItem:hover {
            color: var(--second);
            text-decoration: underline;
        }

        .social_footer{
            display: flex;
            gap: 16px;
            margin-top: 8px;
        }

        .social_footer a{
            width: 20px; height: 20px;
        }

        .social_footer a img{
            width: 100%; height: 100%;
            object-fit: contain;
        }

        .social_footer a:hover{
            transform: translatey(-2px);
        }
    /* menu footer */

    /* copyright */
        .copyright{
            color: var(--white);
            text-align: center;
            strong{
                color: var(--white);
                font-weight: 600;
            }
        }
    /* copyright */

    /* confidentialite */
        .bottom_footer{
            display: flex;
            flex-direction: column;
            align-items: center;
            gap: 8px;
            border-top: 1px solid var(--light-white);
            padding-top: 16px;
        }
        
        .footer_aide_confidential{
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;
            column-gap: 16px;
            row-gap: 8px;
        }

        .footer_aide_confidential a{
            display: flex;
            align-items: center;
            color: var(--white);
        }

        .footer_aide_confidential a:hover{
            color: var(--second);
            text-decoration: underline;
        }

        .footer_aide_confidential a svg{
            fill: var(--second);
            margin-right: 5px;
        }
    /* confidentialite */
/* section footer */


/* responsive */
    /* footer */
        @media screen and (max-width: 1250px) {
            footer{
                padding: 32px 64px;
            }
        }

        @media screen and (max-width: 1080px) {
            footer{
                padding: 32px;
                border-top-left-radius: 32px;
                border-top-right-radius: 32px;
            }

            .containerNewsletter{
                width: 90%;
            }
        }

        @media screen and (max-width: 450px){
            .containerNewsletter{
                padding: 3px;
            }

            .boxNewsletter input{
                padding: 16px;
            }

            .boxNewsletter .btn{
                height: 50px;
                border-radius: 35px;
                flex: 0 0 100px;
            }
        }
    /* footer */
/* responsive */